## ros-indigo-roshlaunch 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roshlaunch)
find_package(catkin REQUIRED COMPONENTS rospy)
catkin_package()
catkin_python_setup()

=== debian/changelog ===
ros-indigo-roshlaunch (1.0.9-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 16 Apr 2015 05:00:00 -0000

ros-indigo-roshlaunch (1.0.8-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 07 Oct 2014 05:00:00 -0000

ros-indigo-roshlaunch (1.0.7-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Sun, 17 Aug 2014 05:00:00 -0000

ros-indigo-roshlaunch (1.0.6-1trusty) trusty; urgency=high

  * fixes from catkin_lint
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 25 Jul 2014 05:00:00 -0000

ros-indigo-roshlaunch (1.0.5-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 07 Jul 2014 05:00:00 -0000

ros-indigo-roshlaunch (1.0.4-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 26 Jun 2014 05:00:00 -0000

ros-indigo-roshlaunch (1.0.3-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 26 Feb 2014 06:00:00 -0000

ros-indigo-roshlaunch (1.0.2-1trusty) trusty; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 06 Feb 2014 06:00:00 -0000

ros-indigo-roshlaunch (1.0.1-1trusty) trusty; urgency=high

  * Fixed a bug trying to import substitution_args
  * Catkinized in preparation for release

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 06 Feb 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-roshlaunch
Section: misc
Priority: extra
Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rospy
Homepage: http://ros.org/wiki/roslaunch
Standards-Version: 3.9.2

Package: ros-indigo-roshlaunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosclean, ros-indigo-rosgraph, ros-indigo-roslib, ros-indigo-rosmaster, ros-indigo-rosout, ros-indigo-rospy
Description: roshlaunch is a temporary package for redesigning roslaunch to have better programmatic APIs for libraries like rosh.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roshlaunch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
